/*
 * "CUnit for Mr.Ando" is CppUnit-x based C langage testing framework
 * for Mr.Ando. It provide the C source code for unit testing. 
 * Copyright (C) 2004 Toshikazu Ando.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <stdio.h>
#include <testRunner.h> /* ... (1) */

static unsigned int testEasySample(void);
static unsigned int testManyFunction(void);

/** Main function. */
int main(void) {
    return (int) testRunner(testManyFunction); /* ... (2) */
}

unsigned int testEasySample(void) { /* ... (3) */
    int a = 1 + 1;
    int b = 2;
    
    TEST_ASSERT_EQUALS(a,b); /* .... (4) */
 
    return 0; /* ... (5) */
}

unsigned int testManyFunction(void) {

    TEST_ASSERT(! testEasySample()); /* ... (6) */
    TEST_ASSERT(! testEasySample());
 
    return 0;
}

